<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>文字间距</title>
    <style>
        p{
            text-indent: 10px;
            letter-spacing: 10px;
        }
        span{
            text-indent: 50px;
            letter-spacing: 10px;
        }
        div{
            word-spacing: 10px;
        }
        h6{
            white-space: pre-wrap;
        }
        h2{
            text-decoration: blink;
        }
    </style>
</head>
<body>
    <p>
        text-indent   属性规定文本块中首行文本的缩进。
        注释：允许使用负值。如果使用负值，那么首行会被缩进到左边。
        注意：在 CSS 2.1 之前，text-indent 总是继承计算值，而不是声明值。
        说明
        用于定义块级元素中第一个内容行的缩进。这最常用于建立一个“标签页”效果。允许指定负值，这会产生一种“悬挂缩进”的效果。
    </p>
    <span>
        text-indent 属性规定文本块中首行文本的缩进。
    </span>
    <div>
        This is heading 2
    </div>
    <h6>
        text-indent 属性规定文本块中首行文本的缩进。
        注释：允许使用负值。如果使用负值，那么首行会被缩进到左边。
        注意：在 CSS 2.1 之前，text-indent 总是继承计算值，而不是声明值。
        说明
        用于定义块级元素中第一个内容行的缩进。这最常用于建立一个“标签页”效果。允许指定负值，这会产生一种“悬挂缩进”的效果。
    </h6>
    <h2>
        文本装饰
    </h2>
</body>
</html>